#pragma once

#include "CoreMinimal.h"
#include "CompetenceAction.h"
#include "Templates/SubclassOf.h"
#include "AddInteractionOnInteractableAction.generated.h"

class AInteractable;
class UInteractionDefinition;

UCLASS(Blueprintable, EditInlineNew)
class DBDCOMPETENCE_API UAddInteractionOnInteractableAction : public UCompetenceAction
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<AInteractable> _interactableType;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	TSubclassOf<UInteractionDefinition> _interactionClass;

	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _skipInteractionIfAlreadyExisting;

public:
	UAddInteractionOnInteractableAction();
};

FORCEINLINE uint32 GetTypeHash(const UAddInteractionOnInteractableAction) { return 0; }
